#!/usr/bin/env python
# encoding: utf-8

# ------------------------------------------------------------------------------
#  Name: indicator_names.py
#  Version: 0.0.1
#
#  Summary: Python Fundamentus
#           Python Fundamentus is a Python API that allows you to quickly
#           access the main fundamental indicators of the main stocks
#           in the Brazilian market.
#
#  Author: Alexsander Lopes Camargos
#  Author-email: alcamargos@vivaldi.net
#
#  License: MIT
# ------------------------------------------------------------------------------

INDICATOR_NAME = {
    'cotacao': 'Cotação',
    'ultima_cotação': 'Data da Ultima Cotação',
    'minino_52_semanas': 'Menor cotação das ultimas 52 semanas',
    'maximo_52_semanas': 'Maior cotação das ultimas 52 semanas',
    'trading_code': 'Código de Negociação',
    'empresa': 'Nome Comercial',
    'tipo': 'Tipo da Ação',
    'setor': 'Classificação Setorial',
    'subsetor': 'Classificação por seguimento de atuação',
    'valor_de_mercado': 'Valor de Mercado',
    'valor_da_firma': 'Valor da Firma (Enterprise Value)',
    'numero_de_acoes': 'Número Total de Ações',
    'data_ultimo_balanço': 'Data do Ultimo Balanço Divulgado',
    'volume_negociacoes_2_meses':
    'Volume Médio de Negociações dos Últimos 2 Meses',
    'dia': 'Dia',
    'mes': 'Mês',
    '30_dias': '30 dias',
    '12_meses': '12 meses',
    '2022': '2022',
    '2021': '2021',
    '2020': '2020',
    '2019': '2019',
    '2018': '2018',
    '2017': '2017',
    'preco_sobre_lucro': 'P/L',
    'preco_sobre_valor_patrimonial': 'P/VP',
    'preco_sobre_ebit': 'P/EBIT',
    'preco_sobre_ativos': 'P/Ativos',
    'preco_sobre_ativo_circulante_liquido': 'P/Ativos Circulantes Líquidos',
    'preco_sobre_capital_giro': 'P/Capital de Giro',
    'lucro_por_acao': 'LPA',
    'valor_patrimonial_por_acao': 'VPA',
    'price_sales_ratio': 'Price Sales Ratio (PSR)',
    'dividend_yield': 'Dividend Yield',
    'enterprise_value_sobre_ebitda': 'EV/EBITDA',
    'enterprise_value_sobre_ebit': 'EV/EBIT',
    'return_invested_capital': 'Retorno sobre o Capital Investido (ROIC)',
    'return_on_equity': 'Return on Equity (ROE)',
    'ebit_sobre_ativos_totais': 'EBIT/Ativo',
    'crescimento_receita_liquida_5_anos':
    'Crescimento da Receita Líquida nos últimos 5 anos',
    'giro_ativos': 'Giro dos Ativos',
    'margem_bruta': 'Margem Bruta',
    'margem_ebit': 'Margem EBIT',
    'margem_liquida': 'Margem Líquida',
    'liquidez_corrente': 'Liquidez Corrente',
    'divida_bruta_total': 'Dívida Bruta',
    'ativo': 'Ativo',
    'divida_bruta': 'Dívida Bruta',
    'disponibilidades': 'Disponibilidades',
    'divida_líquida': 'Dívida Líquida',
    'ativo_circulante': 'Ativo Circulante',
    'patrimonio_Liquido': 'Patrimonio Líquido',
    'receita_liquida_ultimos_12_meses': 'Receita Líquida nos Últimos 12 meses',
    'ebit_ultimos_12_meses': 'EBIT nos Últimos 12 meses',
    'lucro_liquido_ultimos_12_meses': 'Lucro Líquido nos Últimos 12 meses',
    'receita_liquida_ultimos_3_meses': 'Receita Líquida nos últimos 03 meses',
    'ebit_ultimos_3_meses': 'EBIT nos Últimos 03 meses',
    'lucro_liquido_ultimos_3_meses': 'Lucro Líquido nos Últimos 03 meses'
}
